### Signal

# FwupdPlugin BluezDevice::changed

#### Declaration

    void
    changed (
      FuBluezDevice* self,
      gchar* uuid,
      gpointer user_data
    )

#### Description [src]

The ::changed signal is emitted when a service with a specific UUID changed.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 1.5.8

#### Parameters

`uuid` | `gchar*`
| The UUID that changed.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.